Error with MM update



  • I have just tried mm to 2.1.3 to update, I get this error:

    pi@raspberrypi:~/MagicMirror $ git pull && npm install
    error: Your local changes to the following files would be overwritten by merge:
    modules/README.md
    Please, commit your changes or stash them before you can merge.
    Aborting
    pi@raspberrypi:~/MagicMirror $

    can someone help?



  • @JoeFranz I had same issue (except for me it was the calendar.js file it didnt like… this was because I had manually edited that file to apply hotfix for 24h times).

    You can run a git reset --hard which will ‘fix’ the readme.md file you must have edited… a word of warning though- this will also reset your custom.css (at least it seemed to for me) so make sure you take a copy 1st.



  • i had the same.

    i have renamed the calendar.js to calendar.js.org in the folder modules/default/calendar and the update works very well …

    Sandy



  • now I get at the end of this error message

    npm WARN stylelint-config-standard@16.0.0 requires a peer of stylelint@^7.8.0 but none was installed.
    pi@raspberrypi:~/MagicMirror $

    if I run mm now then I have only a black screen :-(



  • I had probably killed something, now everything is running again.
    There is probably a problem with the calendar since the update. But I’m probably not alone …
    Thanks for the quick help!


Log in to reply
 

Looks like your connection to MagicMirror Forum was lost, please wait while we try to reconnect.